function fish_prompt
    if not set -q VIRTUAL_ENV_DISABLE_PROMPT
        set -g VIRTUAL_ENV_DISABLE_PROMPT true
    end

    # set_color white --background=brwhite --dim --reverse
    set_color brwhite
    set -g __fish_git_prompt_show_informative_status true
    printf '%s' (fish_git_prompt " %s")

    # set_color black --background=white --dim --reverse
    set_color white
    printf ' %s ' (prompt_pwd -D 8)
    echo

    if test -n "$VIRTUAL_ENV"
        printf "(%s) " (set_color blue)(path basename $VIRTUAL_ENV)(set_color normal)
    end

    set_color normal
    echo
end
